package com.xkrs.straw.controller;

import com.xkrs.service.impl.FirePointServiceImpl;
import com.xkrs.straw.model.qo.AllFirePointQo;
import com.xkrs.straw.service.DispatchFirePointService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class DispatchFirePointController {

    public static Logger log = LoggerFactory.getLogger(FirePointServiceImpl.class);

    @Resource
    private DispatchFirePointService firePointService;

    /**
     * 普通渠道推送火点到秸秆系统
     */
//    @PostMapping("/insertFirePointChannelOrdinary")
    @PostMapping("/insertFirePoint")
    public String insertFirePointChannelOrdinary(@RequestBody AllFirePointQo firePointQo) {
        return firePointService.insertFirePointChannelOrdinary(firePointQo);
    }

    /**
     * 精准渠道推送火点到秸秆系统
     */
    @PostMapping("/insertFirePointChannelPrecise")
    public String insertFirePointChannelPrecise(@RequestBody AllFirePointQo firePointQo) {
        return firePointService.insertFirePointChannelPrecise(firePointQo);
    }

}
